KDE 4.7 PyKDE API Reference

- KDE's Python API

# DOMException Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

DOM operations only raise exceptions in &quot;exceptional&quot; circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable). In general, DOM methods return specific error values in ordinary processing situation, such as out-of-bound errors when using NodeList .

Implementations may raise other exceptions under other circumstances. For example, implementations may raise an implementation-dependent exception if a null argument is passed.

Some languages and object systems do not support the concept of exceptions. For such systems, error conditions may be indicated using native error reporting mechanisms. For some bindings, for example, methods may return error codes similar to those listed in the corresponding method descriptions.

## Enumerations
ExceptionCode | { INDEX_SIZE_ERR, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, WRONG_DOCUMENT_ERR, INVALID_CHARACTER_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, INUSE_ATTRIBUTE_ERR, INVALID_STATE_ERR, SYNTAX_ERR, INVALID_MODIFICATION_ERR, NAMESPACE_ERR, INVALID_ACCESS_ERR, VALIDATION_ERR, TYPE_MISMATCH_ERR, SECURITY_ERR, NETWORK_ERR, ABORT_ERR, URL_MISMATCH_ERR, QUOTA_EXCEEDED_ERR, TIMEOUT_ERR, NOT_READABLE_ERR, DATA_CLONE_ERR, ENCODING_ERR }
## Attributes
int | code
## Methods
| __init__ (self, int _code)
| __init__ (self, DOM.DOMException other)
DOM.DOMString | codeAsString (self)
## Static Methods
DOM.DOMString | codeAsString (int code)
bool | isDOMExceptionCode (int exceptioncode)

## Method Documentation

__init__ | ( | self, |
|  | int | _code
| ) |  |  |

__init__ | ( | self, |
|  | DOM.DOMException | other
| ) |  |  |

DOM.DOMString codeAsString | ( |  | self ) |

## Static Method Documentation

DOM.DOMString codeAsString | ( | int | code
| ) |  |  |

bool isDOMExceptionCode | ( | int | exceptioncode
| ) |  |  |

Internal:
  - checks to see whether internal code is a DOMException one

## Attribute Documentation

int code

## Enumeration Documentation

ExceptionCode

An integer indicating the type of error generated.

Enumerator:

  INDEX_SIZE_ERR = 1 |
  DOMSTRING_SIZE_ERR = 2 |
  HIERARCHY_REQUEST_ERR = 3 |
  WRONG_DOCUMENT_ERR = 4 |
  INVALID_CHARACTER_ERR = 5 |
  NO_DATA_ALLOWED_ERR = 6 |
  NO_MODIFICATION_ALLOWED_ERR = 7 |
  NOT_FOUND_ERR = 8 |
  NOT_SUPPORTED_ERR = 9 |
  INUSE_ATTRIBUTE_ERR = 10 |
  INVALID_STATE_ERR = 11 |
  SYNTAX_ERR = 12 |
  INVALID_MODIFICATION_ERR = 13 |
  NAMESPACE_ERR = 14 |
  INVALID_ACCESS_ERR = 15 |
  VALIDATION_ERR = 16 |
  TYPE_MISMATCH_ERR = 17 |
  SECURITY_ERR = 18 |
  NETWORK_ERR = 19 |
  ABORT_ERR = 20 |
  URL_MISMATCH_ERR = 21 |
  QUOTA_EXCEEDED_ERR = 22 |
  TIMEOUT_ERR = 23 |
  NOT_READABLE_ERR = 24 |
  DATA_CLONE_ERR = 25 |
  ENCODING_ERR = 26 |